# Token ECA Alter

Token ECA alter allows you to alter the output of other tokens with ECA module.

## Usage

[token-eac:{key}:{existing token}]

In ECA {key} used with Token Alter Event to identify by [token_alter_key], 
[token_alter_data] is the data of {existing token}.

After alter data use Token Alter: set data to set altered data.

## Exist key with module

__Truncate__:

Truncate data with default length 300 or define length option

```
[token-eac:truncate:node:title]
[token-eac:truncate{length:100}:node:title]
```

__Title case__

Uppercases the first letter of each word.

```
[token-eac:title-case:node:title]
```

__Uppercase__

Uppercases all characters.

```
[token-eac:uppercase:node:title]
```

__Lowwercase__

Lowercases all characters.

```
[token-eac:lowercase:node:title]
```

__first-uppercase__

Uppercase first characters.

```
[token-eac:first-uppercase:node:title]
```


__first-lowercase__

Lowercase first characters.

```
[token-eac:first-lowercase:node:title]
```
